{% extends 'my_vl_app/base.html' %}

{% block content %}
<div class="b-example-divider"></div>
<div class="container">
    {% if control == 'updated' %}
        <div class="alert alert-success" role="alert">
            Copies removed successfully!
        </div>
    {% elif control == 'error' %}
        <div class="alert alert-danger" role="alert">
            An unexpected error occurred while removing the copies to the book, contact the administrator!
        </div>
    {% elif control == 'errorNotEnoughCopies' %}
        <div class="alert alert-danger" role="alert">
            Not enough copies to remove!
        </div>
    {% endif %}
    <div class="card">
        <h5 class="card-header">Book</h5>
        <div class="card-body">
            <h5 class="card-title">Remove copies of a book from the virtual library</h5>
            <form class="p-4 p-md-5 border rounded-3 bg-light" action="{% url 'remove_copies_book' %}" method="post">
                {% csrf_token %}
                <div class="form-group mb-3">
                    {% for book in books %}
                        {% if forloop.first %}
                            <label for="inputBook_id" class="form-label">Book id</label>
                            <select id="inputBook_id" name="inputBook_id" class="form-select mb-3">
                            <option value="{{ book.id }}" selected>{{ book.title }} - {{ book.editorial.name }}</option>
                        {% else %}
                            <option value="{{ book.id }}">{{ book.title }} - {{ book.editorial.name }}</option>
                        {% endif %}
                        {% empty %}
                            <h1>There are no books to remove copies</h1>
                    {% endfor %}
                    </select>
                    {% if books %}
                        <div class="mb-3">
                            <label for="inputCopies" class="form-label">Number of copies</label>
                            <input type="number" min="1" class="form-control" name="inputCopies" id="inputCopies" aria-describedby="emailHelp" required>
                            <div id="nameHelp" class="form-text">This is the number of copies that will be removed for the book.</div>
                        </div>
                    {% endif %}
                </div>
                {% if books %}
                    <button type="submit" class="btn btn-danger">Remove Copies</button>
                {% endif %}
                <button type="button" onclick="window.location.href='{% url 'all_books' %}'" class="btn btn-primary">Return</button>
            </form>
        </div>
    </div>
</div>
{% endblock %}
